petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPGetInitialGuessKnoll

Determines whether the KSP solver is using the Knoll trick (using PCApply(pc,b,...) to compute the initial guess

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetInitialGuessKnoll(KSP ksp,PetscBool  *flag)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

flag -PETSC_TRUE if using Knoll trick, else PETSC_FALSE

### See Also

KSPSetInitialGuessKnoll(), KSPSetInitialGuessNonzero(), KSPGetInitialGuessNonzero(), KSP

### Level

advanced

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages